
%define name	openasroot-kmenu
%define version	1.0
%define rel	4

Summary:	Konqueror Service Menus for Open, Run, Edit as root
Name:		%name
Version:	%version
Release:	%mkrel %rel
URL:		http://stuff.onse.fi/%{name}/
License:	GPL
Group:		Graphical desktop/KDE
Source:		http://stuff.onse.fi/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  kde4-macros
Requires:	konqueror
Obsoletes:	koreroot
BuildArch:	noarch

%description
This package includes entries for the konqueror file actions menu
for opening a directory as root and running or editing files as
root.

%files
%defattr(-,root,root)
%doc README COPYING
%{_kde_datadir}/apps/konqueror/servicemenus/*.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_kde_datadir}/apps/konqueror/servicemenus
install -m644 *.desktop %{buildroot}%{_kde_datadir}/apps/konqueror/servicemenus

%clean
rm -rf %{buildroot}


%changelog
* Sat Mar 07 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-4mdv2009.1
+ Revision: 350831
- Rebuild for kde4

* Tue Jul 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-3mdv2009.0
+ Revision: 235707
- Add kde3-macros as BuildRequire
- Move to /opt

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 02 2007 Anssi Hannula <anssi@mandriva.org> 1.0-1mdv2007.0
+ Revision: 115973
- Import openasroot-kmenu

